group "OptionDenomination.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
optionEntitlement?, entitlementCurrency?, numberOfOptions?

Content Model Elements (3):

  entitlementCurrency,
  numberOfOptions (defined in OptionDenomination.model group),
  optionEntitlement (defined in OptionDenomination.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  OptionBaseExtended

Annotation
A model group containing the option denomination components.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="OptionDenomination.model"> <xsd:sequence> <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="entitlementCurrency" type="Currency"/> <xsd:element minOccurs="0" name="numberOfOptions" type="PositiveDecimal"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
entitlementCurrency

  Type: | Currency, simple content

  TODO
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="entitlementCurrency" type="Currency"/>

numberOfOptions

  Type: | PositiveDecimal, simple content

  The number of options comprised in the option transaction.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfOptions" type="PositiveDecimal"/>

optionEntitlement

  Type: | PositiveDecimal, simple content

  The number of units of underlyer per option comprised in the option transaction.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionEntitlement" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.